#include <iostream>
#include <set>

int main()
{
    int N, K;

    std::cin >> N >> K;

    std::set<int> l;

    int temp = 0;

    for(int i = 0; i < K; ++i)
    {
        std::cin >> temp;
        l.insert(temp);
    }

    std::set<int> sums;

    for(int i = 1; i <= N; ++i)
    {
        for(int j = i; j <= N; ++j)
        {
            if(l.find(i) != l.end())
                break;

            if(l.find(j) != l.end())
                continue;

            sums.insert(i+j);
        }
    }

    std::cout << sums.size() << std::endl;

    /*for(auto a:sums)
    {
        std::cerr << a << std::endl;
    }*/

    return 0;
}
